import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './stores'
import remAdaptPlugin from './plugins/remAdapt'
import '@/assets/styles/index.scss'

createApp(App)
  .use(router)
  .use(store)
  .use(remAdaptPlugin)
  .mount('#app')

// 启动浏览器插件心跳监听（全局常驻）
store.dispatch('startPlugHeartbeat')